Bug 1128776 - Can't change a vm disk's storage domain from a file domain to a block domain when creating a template from a vm
Summary: Can't change a vm disk's storage domain from a file domain to a block domain ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Tal Nisan
QA Contact: Elad
URL:
Whiteboard: storage
Depends On:
Blocks: 1073943 1131226
TreeView+ depends on / blocked
 
Reported: 2014-08-11 14:19 UTC by Idan Shaby
Modified: 2016-02-10 19:43 UTC (History)
8 users (show)

Fixed In Version: ovirt-engine-3.5.0_rc1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1131226 (view as bug list)
Environment:
Last Closed: 2014-10-17 12:41:07 UTC
oVirt Team: Storage


Attachments (Terms of Use)
Engine log file (690.52 KB, text/x-log)
2014-08-11 14:19 UTC, Idan Shaby
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31635 master MERGED core: Set image format correctly when creating template image on block domain Never
oVirt gerrit 31636 ovirt-engine-3.5 MERGED core: Set image format correctly when creating template image on block domain Never

Description Idan Shaby 2014-08-11 14:19:29 UTC
Created attachment 925778 [details]
Engine log file

Description of problem:
When creating a template from a VM, an error is shown if the destination storage domain of a disk is an ISCSI domain.

Version-Release number of selected component (if applicable):
6c261dc6188f8d345567393c8d475488abf78e3f

How reproducible:
100%

Steps to Reproduce:
1. Create a VM.
2. Add a file domain disk to the VM.
3. Click on the VM you created -> Make Template.
4. Type a name, set the target of the VM's disk to be an ISCSI storage domain and click OK.

Actual results:
An "Operation Canceled" error is shown with the error message- "Error while executing action New VM Template: Incorrect Volume format".

Expected results:
The operation should succeed.

Additional info:

Comment 1 Elad 2014-08-28 08:38:01 UTC
Creating a template out of a VM that has a disk located on a file domain while specifying a block SD as the destination SD works fine. 

Tested using ovirt-3.5 RC1.1

Comment 2 Sandro Bonazzola 2014-10-17 12:41:07 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.